For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
      • GETGet knowledge articles
      • DELDelete multiple articles
      • GETGet a single knowledge article
      • DELDelete a single article
      • POSTUpsert multiple articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
KnowledgeArticles

Get knowledge articles

GET
https://example.ada.support/api/v2/knowledge/articles/
GET
/api/v2/knowledge/articles/
1import requests
2
3url = "https://example.ada.support/api/v2/knowledge/articles/"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "data": [
3 {
4 "id": "5df263b7db5a7e6ea03fae9b",
5 "name": "How to reset your password",
6 "content": "# How to reset your password\\n\\n1. Go to the login page\\n2. Click on the \"Forgot password\" link\\n3. Follow the instructions",
7 "url": "https://example.com/article",
8 "knowledge_source_id": "5df263b7db5a7e6ea03fae9b",
9 "language": "en",
10 "tag_ids": [
11 "5df263b7db5a7e6ea03fae9b",
12 "5df263b7db5a7e6ea03fae9c"
13 ],
14 "created": "2020-09-20T00:00:00+00:00",
15 "updated": "2020-09-20T00:00:00+00:00",
16 "external_created": "2020-09-20T00:00:00+00:00",
17 "external_updated": "2020-09-20T00:00:00+00:00",
18 "enabled": true,
19 "metadata": {
20 "example_key1": "example_string_value",
21 "example_key2": true,
22 "example_key3": 123
23 }
24 }
25 ],
26 "meta": {
27 "next_page_url": "https://example.ada.support/api/v2/api-name?cursor=6658f91ea88ff7e389eff34d"
28 }
29}
Get knowledge articles
Was this page helpful?
Previous

Delete multiple articles

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

cursorstringOptionalformat: "id"
The article cursor that marks the start or beginning of the returned article records
limitintegerOptional1-100
The number of article records to return
idlist of stringsOptional
Filter by article id
enabledlist of booleansOptional
Filter by enabled status
languagelist of stringsOptional
Filter by language
knowledge_source_idlist of stringsOptional
Filter by knowledge source
tag_idslist of stringsOptional
Filter by tag ids

Response

Matching knowledge articles
datalist of objects
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error